package com.jeeplus.modules.sg.picking.activiti.web;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.web.BaseController;
import com.jeeplus.modules.sg.picking.activiti.entity.PickIng;
import com.jeeplus.modules.sg.picking.activiti.entity.PickList;
import com.jeeplus.modules.sg.picking.activiti.entity.ShowList;
import com.jeeplus.modules.sg.picking.activiti.service.PickIngService;
import com.jeeplus.modules.sg.picking.activiti.service.ShowListService;
import net.sf.ehcache.util.SetAsList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Controller
@RequestMapping(value = "${adminPath}/picking/showlist")
public class ShowListController extends BaseController {
    @Autowired
    private ShowListService showListService;

    @ResponseBody
    @RequestMapping(value ="data")
    public Map<String, Object> data(ShowList showList,String item, HttpServletRequest request, HttpServletResponse response, Model model) {
        ArrayList<String> objects = new ArrayList<>();
        ArrayList<String> findList = new ArrayList<>();

        //返回给页面的list
        List<ShowList> myList = new ArrayList<>();
        if (item != null&&!"".equals(item)) {
            String[] split = item.split(";");
            //回显list
            List<ShowList> returnList = new ArrayList<>();
            for (int i = 0; i < split.length; i++) {
                objects.add(split[i]);
            }
            for (String s : objects) {
                String[] split1 = s.split(":");
                ShowList myShow = new ShowList();
                myShow.setId(split1[0]);
                String s1 = split1[1];
                myShow.setNumber(Double.parseDouble(s1));
                findList.add(split1[0]);
                myList.add(myShow);
            }
            showList.setFindList(findList);
            Page<ShowList> page = showListService.findPage(new Page<ShowList>(request, response), showList);
            //查询出来所有的模块清单数据
            List<ShowList> list = page.getList();
            //前端传来选择的模块与数量
            for (ShowList my : myList) {
                //循环遍历
                for (ShowList showList1 : list) {
                    //选择的模块与查出来的一致
                    if (my.getId().equals(showList1.getBlockId())) {
                        Double mdSingleWeight = showList1.getMdSingleWeight();
                        Double number = my.getNumber();
                        Double i = mdSingleWeight * number;
                        ShowList newShowList = new ShowList();
                        newShowList.setMaterialCode(showList1.getMaterialCode());
                        newShowList.setMaterialDescription(showList1.getMaterialDescription());
                        newShowList.setExtensionDescription(showList1.getExtensionDescription());
                        newShowList.setMdUnits(showList1.getMdUnits());
                        newShowList.setMeTheParty(showList1.getMeTheParty());
                        newShowList.setMdText(showList1.getMdText());
                        newShowList.setMdTotalAmount(number);
                        newShowList.setMdSingleWeight(showList1.getMdSingleWeight());
                        newShowList.setMdTotalWeight(i/1000);
                        newShowList.setBlockId(showList1.getBlockId());
                        returnList.add(newShowList);
                    }
                }
            }
            List<ShowList> finalList = new ArrayList<>();
            boolean flag;
            for (ShowList turn:returnList){
                flag = true;
                for (ShowList list1:finalList){
                    if (turn.getMaterialCode().equals(list1.getMaterialCode()) && turn.getMaterialDescription().equals(list1.getMaterialDescription()) && turn.getExtensionDescription().equals(list1.getExtensionDescription())) {

                        list1.setMdTotalAmount(list1.getMdTotalAmount() + turn.getMdTotalAmount());
                        list1.setMdTotalWeight(list1.getMdTotalWeight() + turn.getMdTotalWeight());
                        flag = false;
                        break;
                    }
                }
                if (flag){
                    showList = new ShowList();
                    showList.setMaterialCode(turn.getMaterialCode());
                    showList.setMaterialDescription(turn.getMaterialDescription());
                    showList.setExtensionDescription(turn.getExtensionDescription());
                    showList.setMdUnits(turn.getMdUnits());
                    showList.setMeTheParty(turn.getMeTheParty());
                    showList.setMdText(turn.getMdText());
                    showList.setMdTotalAmount(turn.getMdTotalAmount());
                    showList.setMdSingleWeight(turn.getMdSingleWeight());
                    showList.setMdTotalWeight(turn.getMdTotalWeight());
                    showList.setBlockId(turn.getBlockId());
                    finalList.add(showList);
                }
            }
            page.setList(finalList);
            return getBootstrapData(page);
        } else {
            findList.add("没有数据");
            showList.setFindList(findList);
            Page<ShowList> page = showListService.findPage(new Page<ShowList>(request, response), showList);
            return getBootstrapData(page);
        }
    }
}
